<div class="animated fadeIn">
    <div class="card" style="padding: 0.2rem">

        <div class="card-header bg-gray-200 text-primary d-flex justify-content-between">
            <div>
                <i class="fa fa-plug" aria-hidden="true"></i>
                {{TITLE}}
            </div>
            <a href=" https://bridgerstaging.lexisnexis.com/XgAuth/" target="_blank" class="btn btn-sm rounded btn-outline-primary p-2 bd-highlight">Ir a Lexis Nexis</a>
            <button class="btn btn-sm rounded btn-outline-primary p-2 bd-highlight"
                    (click)="openModal(addConex)">
                <i class="fa fa-plus"></i> Agregar Conexión
            </button>
        </div>

        <div class="card-body mt-4 p-0">

            <div>
                <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border hover">
                    <thead>
                    <tr>
                        <th>Nombre de Lista</th>
                        <th>Cadena de Conexión</th>
                        <th class="text-center">Acciones</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr *ngFor="let conex of conexList">
                        <td>{{ conex.lista.nombre }}</td>
                        <td>{{ conex.url }}</td>
                        <td class="text-center">
<!--                            <i class="fa fa-pencil-square-o text-info fa-2x" aria-hidden="true"-->
<!--                               (click)="openEditModal(editConex, conex.conexList_id, conex.conexList_idLista, conex.conexList_urlConexion)"-->
<!--                               style="cursor: pointer" title="Editar conexion"></i>-->
                            <i class="fa fa-times text-danger fa-2x" aria-hidden="true" style="cursor: pointer" title="Eliminar" (click)="modalDelete(conex.id, confirmDelete)"></i>

                        </td>
                    </tr>
                    </tbody>
                </table>

            </div>
        </div>
    </div>

    <ng-template #addConex>
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Agregar Conexion</h5>
                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                        (click)="closeModal()" style="outline: none">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p class="text-center text-primary">Agregar Parametro de conexion a la lista</p>
                <div class="row justify-content-center">
                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Seleccione la lista:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select [(ngModel)]="valueList" class="form-control">
                                        <option  *ngFor="let lc of listCatalog" value="{{ lc.id }}">{{ lc.nombre }}</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class="col-form-label">Parametro de Conexion:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <input [(ngModel)]="valueUrl" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-sm btn-primary rounded" (click)="createConexList()"><i class="fa fa-plus"
                                                                                aria-hidden="true"></i>
                    Agregar
                </button>
                <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                    <i class="fa fa-close" aria-hidden="true"></i> Cerrar
                </button>
            </div>
        </div>
    </ng-template>

    <ng-template #editConex>
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Agregar Conexion</h5>
                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                        (click)="closeModal()" style="outline: none">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p class="text-center text-primary">Agregar Parametro de conexion a la lista</p>
                <div class="row justify-content-center">
                    <div class="col-12 col-md-4 col-lg-4">
                        <div class="form-group">
                            <label class="col-form-label">Seleccione la lista:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <select [(ngModel)]="valueList" class="form-control">
                                        <option  *ngFor="let lc of listCatalog" value="{{ lc.codLista }}">{{ lc.idLista }}</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class="col-form-label">Parametro de Conexion:</label>
                            <div class="controls">
                                <div class="input-prepend input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text"><i class="fa fa-pencil text-primary"></i></span>
                                    </div>
                                    <input [(ngModel)]="urlValueEdit" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-sm btn-primary rounded" (click)="EditConex()"><i class="fa fa-plus"
                                                                                                            aria-hidden="true"></i>
                    Editar
                </button>
                <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                    <i class="fa fa-close" aria-hidden="true"></i> Cerrar
                </button>
            </div>
        </div>
    </ng-template>

    <ng-template #confirmDelete>
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmar</h5>
            </div>

            <div class="modal-body">
                <h4 class="text-center">Esta seguro de eliminar la conexion a lista externa?</h4>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-sm btn-primary rounded" (click)="eliminar()">
                    <i class="fa fa-plus" aria-hidden="true"></i>
                    Aceptar
                </button>
                <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                    <i class="fa fa-close" aria-hidden="true"></i> Cancelar
                </button>
            </div>
        </div>
    </ng-template>
